Telegram APIMessages
messages.deleteHistory
Deletes communication history.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Deletes communication history.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.deleteHistory" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "maxId": 0 } }'{ "result": { "_": "messages.affectedHistory", "pts": 0, "ptsCount": 0, "offset": 0 }}deleteFactCheck
Delete a [fact-check](https://core.telegram.org/api/factcheck) from a message. Can only be used by independent fact-checkers as specified by the [appConfig.can_edit_factcheck](https://core.telegram.org/api/config#can-edit-factcheck) configuration flag.
deleteMessages
Deletes messages by their identifiers.